﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using WebApplication1.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        private readonly WebApplication1Context _context;
        private readonly ILogger<HomeController> _logger;
        public HomeController(WebApplication1Context context, ILogger<HomeController> logger)
        {
            _context = context;
            _logger = logger;
        }

        public JsonResult GetEntries([DataSourceRequest]DataSourceRequest request)
        {
            try
            {
                IQueryable<Entry> model = _context.Entries.AsQueryable();
                DataSourceResult result = model.ToDataSourceResult(request);
                return Json(result);
            }
            catch (Exception ex)
            {
                return null;
            }
        }

        public JsonResult GetEntriesAutoComplete([DataSourceRequest]DataSourceRequest request, string text)
        {
            try
            {
                IQueryable<Entry> model = _context.Entries.AsQueryable().Where(item => item.Text.Contains(text));
                DataSourceResult result = model.ToDataSourceResult(request);
                return Json(result.Data);
            }
            catch (Exception ex)
            {
                return null;
            }
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}
