﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WebApplication1.Models
{
    public static class DbInitializer
    {
        public static void Initialize(WebApplication1Context context)
        {
            context.Database.EnsureCreated();

            // Look for any students.
            if (context.Entries.Any())
            {
                return;   // DB has been seeded
            }

            var entries = new Entry[]
            {
                new Entry{Text="Carson",Value="Alexander",Id=Guid.NewGuid().ToString()},
                new Entry{Text="Meredith",Value="Alonso",Id=Guid.NewGuid().ToString()},
                new Entry{Text="Arturo",Value="Anand",Id=Guid.NewGuid().ToString()},
                new Entry{Text="Gytis",Value="Barzdukas",Id=Guid.NewGuid().ToString()},
                new Entry{Text="Yan",Value="Li",Id=Guid.NewGuid().ToString()},
                new Entry{Text="Peggy",Value="Justice",Id=Guid.NewGuid().ToString()},
                new Entry{Text="Laura",Value="Norman",Id=Guid.NewGuid().ToString()},
                new Entry{Text="Nino",Value="Olivetto",Id=Guid.NewGuid().ToString()}
            };
            foreach (Entry s in entries)
            {
                context.Entries.Add(s);
            }
            context.SaveChanges();
        }
    }
}
